/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xaloon.wicket.plugin.image.galleria;

import com.google.code.jqwicket.ui.JQComponentBehavior;

/**
 * @author vytautas r.
 */
public class GalleriaBehavior extends JQComponentBehavior<GalleriaOptions> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private static final CharSequence JQ_COMPONENT_NAME = "galleria";

	/**
	 * Construct.
	 */
	public GalleriaBehavior() {
		this(new GalleriaOptions());
	}

	/**
	 * Construct.
	 * 
	 * @param options
	 */
	public GalleriaBehavior(GalleriaOptions options) {
		super(options);

	}

	@Override
	public CharSequence getName() {
		return JQ_COMPONENT_NAME;
	}
}
